Bug 2220039

Summary: F39FailsToInstall: module-build-service
Product: [Fedora] Fedora Reporter: Fedora Fails To Install <fti-bugs>
Component: module-build-serviceAssignee: Brendan Reilly <breilly>
Status: CLOSED WORKSFORME QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: breilly, filip.valder, mikem
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-07-19 04:51:00 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2220033, 2220146, 2220300    
Bug Blocks: 2168845, 2135404    

Description Fedora Fails To Install 2023-07-05 19:05:40 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (module-build-service) Fails To Install in Fedora 39:

can't install module-build-service:
  - nothing provides python3.11dist(requests) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(six) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(packaging) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(click) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(flask) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(sqlalchemy) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(pyopenssl) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(distro) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(prometheus-client) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(dogpile-cache) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(flask-sqlalchemy) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(munch) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(fedmsg) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(flask-migrate) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(ldap3) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(moksha-hub) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(pygobject) needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python(abi) = 3.11 needed by module-build-service-3.9.2-1.fc39.noarch
  - nothing provides python3.11dist(kobo) >= 0.5 needed by module-build-service-3.9.2-1.fc39.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install module-build-service


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Fails To Install 2023-07-13 11:47:11 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 2 Fedora Fails To Install 2023-07-19 04:51:00 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 39.

Thanks for taking care of it!